<%@ Page Language="VB" AutoEventWireup="false" EnableViewState="False" Debug="true" %>

<%@ OutputCache Duration="1" VaryByParam="None" %>
<%@ Import Namespace="System.IO" %>

<script runat="server">
	'This variable specifies relative path to the folder, where the gallery with uploaded files is located.
	'Do not forget about the slash in the end of the folder name.
	Private galleryPath As String = "../Gallery/"

	Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

		Dim dir As New DirectoryInfo(Server.MapPath(galleryPath))
		Dim files As FileInfo() = dir.GetFiles()

		DataGrid1.DataSource = files
		DataGrid1.DataBind()
	End Sub

	Private Function EncodeFileName(ByVal value As String) As String
		Return Server.UrlEncode(value).Replace("+", "%20")
	End Function
</script>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>Aurigma Image Uploader - Uploaded Files</title>
	<link href="style.css" type="text/css" rel="stylesheet" />
</head>
<body>
	<p>
		<a href="default.aspx">Upload New Files</a>
	</p>
	<asp:DataGrid ID="DataGrid1" runat="server" AutoGenerateColumns="false">
		<HeaderStyle Font-Bold="true" BackColor="Gainsboro" />
		<Columns>
			<asp:TemplateColumn HeaderText="File Name">
				<ItemTemplate>
					<a href="<%# galleryPath & EncodeFileName(CType(Container.DataItem, FileInfo).Name) %>"
						target="_blank">
						<%#Server.HtmlEncode(CType(Container.DataItem, FileInfo).Name)%>
					</a>
				</ItemTemplate>
			</asp:TemplateColumn>
			<asp:BoundColumn DataField="Length" HeaderText="Size in Bytes"></asp:BoundColumn>
			<asp:BoundColumn DataField="Extension" HeaderText="Extension"></asp:BoundColumn>
			<asp:BoundColumn DataField="LastWriteTime" HeaderText="Last Write Time"></asp:BoundColumn>
		</Columns>
	</asp:DataGrid>
</body>
</html>
