﻿// Aurigma Image Uploader 
// Simplified Chinese Localization
// Copyright(c) Huidu LLC 2005-2007 (http://www.evget.com/)

// 将以下参数加入到控件中，可以完成对该控件信息的汉化

var zh_cn_resources={addParams:function(iu){

//If you want to use Image Uploader with this language only,
//just copy these parameters to your code with Image Uploader.

//ImageUplaoderWriter properties
//[TRANSLATE]
iu.instructionsCommon="<p>Image Uploader ActiveX control is necessary to upload your files quickly and easily. You will be able to select multiple images in user-friendly interface instead of clumsy input fields with <strong>Browse</strong> button. Installation will take up to few minutes, please be patient. To install Image Uploader, ";
//[TRANSLATE]
iu.instructionsNotWinXPSP2="please reload the page and click the <strong>Yes</strong> button when you see the control installation dialog.";
//[TRANSLATE]
iu.instructionsWinXPSP2="please click on the <strong>Information Bar</strong> and select <strong>Install ActiveX Control</strong> from the dropdown menu. After page reload click <strong>Install</strong> when you see the control installation dialog.";
//[TRANSLATE]
iu.instructionsVista = "please click on the <strong>Information Bar</strong> and select <strong>Install ActiveX Control</strong> from the dropdown menu. After page reload click <strong>Continue</strong> and then <strong>Install</strong> when you see the control installation dialog.";
//[TRANSLATE]
iu.instructionsCommon2="</p><p><strong>NOTE:</strong> If control fails to be installed, it may mean that it has been inserted to the page incorrectly. Refer Image Uploader documentation for more details.</p>";

//ImageUploader properties
iu.addParam("AddFolderDialogButtonCancelText", "取消");
iu.addParam("AddFolderDialogButtonSkipAllText", "全部跳过");
iu.addParam("AddFolderDialogButtonSkipText", "跳过");
iu.addParam("AddFolderDialogTitleText", "新建目录...");
iu.addParam("AuthenticationRequestBasicText", "[Name]需要授权认证.");
iu.addParam("AuthenticationRequestButtonCancelText", "取消");
iu.addParam("AuthenticationRequestButtonOkText", "确认");
iu.addParam("AuthenticationRequestDomainText", "域名:");
iu.addParam("AuthenticationRequestLoginText", "登录:");
iu.addParam("AuthenticationRequestNtlmText", "[Name]需要授权认证.");
iu.addParam("AuthenticationRequestPasswordText", "密码:");
iu.addParam("ButtonAddAllToUploadListText", "加入所有档案");
iu.addParam("ButtonAddFilesText", "加入档案...");
iu.addParam("ButtonAddFoldersText", "加入数据夹...");
iu.addParam("ButtonAddToUploadListText", "加入");
iu.addParam("ButtonAdvancedDetailsCancelText", "取消");
iu.addParam("ButtonDeleteFilesText", ""); //"删除文件"
iu.addParam("ButtonDeselectAllText", "移除所有图片");
iu.addParam("ButtonPasteText", ""); //"贴上"
iu.addParam("ButtonRemoveAllFromUploadListText", "移除所有档案");
iu.addParam("ButtonRemoveFromUploadListText", "移除");
iu.addParam("ButtonSelectAllText", "选择所有图片");
iu.addParam("ButtonSendText", "图片上传");
iu.addParam("ButtonStopText", ""); //"停止上传"
//[TRANSLATE]
iu.addParam("CmykImagesAreNotAllowedText", "File is CMYK");
iu.addParam("DescriptionEditorButtonCancelText", "取消");
iu.addParam("DescriptionEditorButtonOkText", "确定");
iu.addParam("DimensionsAreTooLargeText", "图片太大");
iu.addParam("DimensionsAreTooSmallText", "图片太小");
iu.addParam("DropFilesHereText", "将要上传的图片拖到此处");
iu.addParam("EditDescriptionText", "编辑");
iu.addParam("FileIsTooLargeText", "文件太大");
iu.addParam("FileIsTooSmallText", "文件太小");
iu.addParam("HoursText", "小时");
iu.addParam("IncludeSubfoldersText", "包含子数据夹");
iu.addParam("KilobytesText", "K");
//[TRANSLATE]
iu.addParam("LargePreviewGeneratingPreviewText", "Generating preview...");
//[TRANSLATE]
iu.addParam("LargePreviewIconTooltipText", "Preview Thumbnail");
//[TRANSLATE]
iu.addParam("LargePreviewNoPreviewAvailableText", "No preview available.");
iu.addParam("ListColumnFileNameText", "文件名");
iu.addParam("ListColumnFileSizeText", "文件大小");
iu.addParam("ListColumnFileTypeText", "文件类型");
iu.addParam("ListColumnLastModifiedText", "上一次修改时间");
iu.addParam("ListKilobytesText", "K");
iu.addParam("LoadingFilesText", "正在装载文件...");
iu.addParam("MegabytesText", "M");
iu.addParam("MenuAddAllToUploadListText", "将所有图片加到上传区");
iu.addParam("MenuAddToUploadListText", "加到上传区");
iu.addParam("MenuArrangeByModifiedText", "已修改");
iu.addParam("MenuArrangeByNameText", "名");
iu.addParam("MenuArrangeByPathText", "路径");
iu.addParam("MenuArrangeBySizeText", "大小");
iu.addParam("MenuArrangeByText", "排列图标");
iu.addParam("MenuArrangeByTypeText", "类型");
iu.addParam("MenuArrangeByUnsortedText", "未排序");
iu.addParam("MenuDeselectAllText", "移除所有图片");
iu.addParam("MenuDetailsText", "详细格式");
iu.addParam("MenuIconsText", "图标格式");
iu.addParam("MenuInvertSelectionText", "反选选中图片");
iu.addParam("MenuListText", "列表格式");
iu.addParam("MenuRefreshText", "刷新");
iu.addParam("MenuRemoveAllFromUploadListText", "从上传区移除所有图片");
iu.addParam("MenuRemoveFromUploadListText", "从上传区移除图片");
iu.addParam("MenuSelectAllText", "选择所有文件");
iu.addParam("MenuThumbnailsText", "图片预览格式");
iu.addParam("MessageBoxTitleText", "图片上传插件");
iu.addParam("MessageCannotConnectToInternetText", "无法连上互联网，请检查网络配置");
//[TRANSLATE]
iu.addParam("MessageCmykImagesAreNotAllowedText", "CMYK images are not allowed");
iu.addParam("MessageDimensionsAreTooLargeText", "图档 [Name] 无法选取.因为分辨率 ([OriginalImageWidth]x[OriginalImageHeight]) 超过限定的大小. 图文件分辨率应该要低于 [MaxImageWidth]x[MaxImageHeight].");
iu.addParam("MessageDimensionsAreTooSmallText", "图档 [Name] 无法选取.因为分辨率 ([OriginalImageWidth]x[OriginalImageHeight]) 太低. 图文件分辨率应该要大于 [MinImageWidth]x[MinImageHeight].");
iu.addParam("MessageFileSizeIsTooSmallText", "文件[Name]无法选中，该文件大小小于最小限制的([Limit]kb)。");
iu.addParam("MessageMaxFileCountExceededText", "文件[Name]无法选中，文件总数超过限制的[Limit]个文件。");
iu.addParam("MessageMaxFileSizeExceededText", "文件[Name]无法选中，该文件大小超过限制的[Limit]kb。");
iu.addParam("MessageMaxTotalFileSizeExceededText", "文件[Name]无法选中，上载数据总数超过限制的[Limit]kb。");
iu.addParam("MessageNoInternetSessionWasEstablishedText", "网络会话没有建立。");
iu.addParam("MessageNoResponseFromServerText", "服务器无响应。");
//[TRANSLATE]
iu.addParam("MessageRedirectText", "The server attempted to redirect you, but server redirects are not supported.");
iu.addParam("MessageRetryOpenFolderText", "最后访问的文件夹未找到。可能是因为位于可移动存器体，插入此移动存器体并击重试按钮或点击取消按钮继续。");
iu.addParam("MessageServerNotFoundText", "服务器没有找到");
iu.addParam("MessageSwitchAnotherFolderWarningText", "你正在切换到另一个文件夹。此操作会放弃所有已选中的文件。\n\n确认放弃所选文件并继续执行点击确认。\nTo 保持所选文件，继续停留在当前文件夹请点击取消。");
iu.addParam("MessageUnexpectedErrorText", "图像上传因故失败，请联系网站管理员解决此问题。");
iu.addParam("MessageUploadCancelledText", "取消上传");
iu.addParam("MessageUploadCompleteText", "上传图片完成");
iu.addParam("MessageUploadFailedText", "上传图片失败");
iu.addParam("MessageUserSpecifiedTimeoutHasExpiredText", "已经超过了您自订的传输时间.");
iu.addParam("MinutesText", "分钟");
iu.addParam("ProgressDialogCancelButtonText", "取消");
iu.addParam("ProgressDialogCloseButtonText", "关闭");
iu.addParam("ProgressDialogCloseWhenUploadCompletesText", "上传结束后是否关闭此对话框？");
iu.addParam("ProgressDialogEstimatedTimeText", "估计剩余时间为[Current],总共需要时间为 [Total]");
iu.addParam("ProgressDialogPreparingDataText", "正在准备上传数据");
iu.addParam("ProgressDialogSentText", "已经上传[Current]文件，总共文件大小为[Total]");
iu.addParam("ProgressDialogTitleText", "上传图片");
iu.addParam("ProgressDialogWaitingForResponseFromServerText", "等待服务器响应...");
iu.addParam("ProgressDialogWaitingForRetryText", "正在等待重试...");
iu.addParam("RemoveIconTooltipText", "删除");
iu.addParam("RotateIconClockwiseTooltipText", "顺时针方向旋转");
iu.addParam("RotateIconCounterClockwiseTooltipText", "反时针方向旋转");
iu.addParam("SecondsText", "秒");
iu.addParam("UnixFileSystemRootText", "档案系统根目录(Root)");
iu.addParam("UnixHomeDirectoryText", "档案系统有效目录(Home)");

}}