<%@ page language='java' import='java.io.*,java.net.*,java.text.*,java.util.*,javax.servlet.*'%>
<%!
//This variable specifies relative path to the folder, where the gallery with uploaded files is located.
//Do not forget about the slash in the end of the folder name.
String galleryPath = "/Gallery/";

private String encodeFileName(String value) {
    return URLEncoder.encode(value).replaceAll("\\+", "%20");
}

private String encodeHTML(String value){
    StringBuffer result = new StringBuffer();
    final StringCharacterIterator iterator = new StringCharacterIterator(value);
    char c =  iterator.current();
    while (c != CharacterIterator.DONE) {
	switch (c) {
	    case '<':
		result.append("&lt;");
		break;
	    case '>':
		result.append("&gt;");
		break;
	    case '\"':
		result.append("&quot;");
		break;
	    case '\'':
		result.append("&amp;");
		break;
	    case '&':
		result.append("&amp;");
		break;
	    default:
		result.append(c);
	}
	c = iterator.next();
    }
    return result.toString();
}
%>
<%
//Process request.
ServletContext context = getServletContext();
String absGalleryPath = context.getRealPath(galleryPath);
String webGalleryPath = request.getContextPath() + galleryPath;
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
	<title>Aurigma Image Uploader - Uploaded Files</title>
	<link href="style.css" type="text/css" rel="stylesheet" />
    </head>
    <body>
	<p>
	    <a href="index.jsp">Upload New Files</a>
	</p>
    
	<table cellspacing="0" rules="all" border="1" style="border-collapse:collapse;">
	    <tr style="background-color:Gainsboro;font-weight:bold;">
		<td>File Name</td>
		<td>Size in Bytes</td>
		<td>Extension</td>
		<td>Last Write Time</td>
	    </tr>
<%
File dir = new File(absGalleryPath);

String[] dirList = dir.list();
for (int i = 0; i < dirList.length; i++) {
    File file = new File(absGalleryPath + File.separator + dirList[i]);
    if (file.isFile()) {
	String fileExt;
	String[] fn = file.getName().split("\\.");
	if (fn.length > 1) {
	    fileExt = "." + fn[fn.length - 1];
	} else {
	    fileExt = "";
	}
%>
		<tr>
		    <td><a href="<%=webGalleryPath + encodeFileName(file.getName())%>" target="_blank"><%=encodeFileName(file.getName())%></a></td>
		    <td><%=file.length()%></td>
		    <td><%=encodeFileName(fileExt)%></td>
		    <td><%=new Date(file.lastModified())%></td>
	    </tr>
<%
    }
}
%>
	</table>
    </body>
</html>