#!/usr/local/bin/python

import cgi
import cgitb; cgitb.enable()
import urllib
import os
import time

#This variable specifies relative path to the folder, where the gallery with uploaded files is located.
#Do not forget about the slash in the end of the folder name.
galleryPath = "../Gallery/"

HTML_TEMPLATE = """<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Aurigma Image Uploader - Uploaded Files</title>
    <link href="style.css" type="text/css" rel="stylesheet" />
</head>
<body>
    <p>
        <a href="index.py">Upload New Files</a>
    </p>
    
    <table cellspacing="0" rules="all" border="1" style="border-collapse:collapse;">
        <tr style="background-color:Gainsboro;font-weight:bold;">
            <td>File Name</td>
            <td>Size in Bytes</td>
            <td>Extension</td>
            <td>Last Write Time</td>
        </tr>    
        %(rows)s
    </table>
</body>
</html>"""

FILE_INFO_TEMPLATE = """<tr>
    <td><a href="%(filePath)s" target="_blank">%(fileName)s</a></td>
    <td>%(fileSize)s</td>
    <td>%(fileExt)s</td>
    <td>%(modifiedDate)s</td>
</tr>"""

def print_html ():
    print "Content-Type: text/html"
    print

    absGalleryPath = os.path.abspath( galleryPath )

    rows = ""
        
    for fileName in os.listdir( absGalleryPath ):
        absFilePath = os.path.join(absGalleryPath, fileName)
        if not os.path.isdir( absFilePath ):
            #Get file extension
            fn = fileName.split( "." )
            if len( fn ) > 1:
                fileExt = "." + fn[len(fn) - 1]
            else:
                fileExt = ""
            
            rows = rows + FILE_INFO_TEMPLATE % {"fileName" : fileName, 
                "filePath" : galleryPath + urllib.quote( fileName ), 
                "fileSize" : os.path.getsize( absFilePath ), 
                "fileExt" : fileExt, 
                "modifiedDate" : time.ctime( os.path.getmtime ( absFilePath ) )}
    
    print HTML_TEMPLATE % {"rows" : rows}

print_html()