<%@ Page Language="VB" AutoEventWireup="false" EnableViewState="False" Debug="true" %>

<%@ OutputCache Duration="1" VaryByParam="None" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Xml" %>

<script runat="server">
	'This variable specifies relative path to the folder, where the gallery with uploaded files is located.
	'Do not forget about the slash in the end of the folder name.
	Private galleryPath As String = "../Gallery/"

	Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		Dim descriptions As New XmlDocument()
		descriptions.Load(Server.MapPath(galleryPath & "Descriptions.xml"))

		DataList1.DataSource = descriptions.DocumentElement.ChildNodes
		DataList1.DataBind()
	End Sub

	Private Function EncodeFileName(ByVal value As String) As String
		Return Server.UrlEncode(value).Replace("+", "%20")
	End Function
</script>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>Aurigma Image Uploader - Uploaded Files</title>
	<link href="style.css" type="text/css" rel="stylesheet" />
</head>
<body>
	<p>
		<a href="default.aspx">Upload New Images</a>
	</p>
	<asp:DataList ID="DataList1" Width="100%" RepeatLayout="Table" RepeatDirection="Vertical"
		RepeatColumns="4" runat="server">
		<HeaderTemplate>
		</HeaderTemplate>
		<ItemTemplate>
			<a href="<%# galleryPath & EncodeFileName(CType(Container.DataItem, XmlElement).GetAttribute("name")) %>"
				target="_blank">
				<img src="<%# galleryPath & "Thumbnails/" & EncodeFileName(CType(Container.DataItem, XmlElement).GetAttribute("name")) %>.jpg"
					alt="<%# Server.HtmlEncode(CType(Container.DataItem, XmlElement).GetAttribute("name"))%>" />
			</a>
			<br />
			<br />
			<b>Name:</b>
			<%#Server.HtmlEncode(CType(Container.DataItem, XmlElement).GetAttribute("name"))%>
			<br />
			<b>Dimensions:</b>
			<%#Server.HtmlEncode(CType(Container.DataItem, XmlElement).GetAttribute("width"))%>
			x
			<%#Server.HtmlEncode(CType(Container.DataItem, XmlElement).GetAttribute("height"))%>
		</ItemTemplate>
		<FooterTemplate>
		</FooterTemplate>
	</asp:DataList>
</body>
</html>
