<!--BEGIN-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>Aurigma Image Uploader</title>

	<link href="style.css" type="text/css" rel="stylesheet" />

	<script src="../iuembed.js" type="text/javascript"></script>

	<script src="Resources/en.js" type="text/javascript"></script>

	<script src="Resources/de.js" type="text/javascript"></script>

	<script src="Resources/fr.js" type="text/javascript"></script>

	<script src="Resources/it.js" type="text/javascript"></script>

	<script src="Resources/no.js" type="text/javascript"></script>

	<script src="Resources/ru.js" type="text/javascript"></script>

	<script src="Resources/sv.js" type="text/javascript"></script>

	<script src="Resources/zh.js" type="text/javascript"></script>

	<script src="Resources/zh-cn.js" type="text/javascript"></script>

	<script src="Resources/nl.js" type="text/javascript"></script>

	<script src="Resources/ua.js" type="text/javascript"></script>

	<script type="text/javascript">
//<![CDATA[
function SelectLanguage_change(){
	//Reload page when the language is changed. Selected language is passed through the URL.
	var SelectLanguage = document.getElementById("SelectLanguage");
	var language = SelectLanguage.options[SelectLanguage.selectedIndex].value;
	var url = window.location.href.substring(0, window.location.href.length - window.location.search.length);
	if (url.charAt(url.length - 1) != "?"){
		url += "?";
	}
	window.location = url + language;
}
//]]>
	</script>

</head>
<body>
	<p>
		This demo application demonstrates how to use Image Uploader on international websites
		when several languages should be supported.
	</p>
	<fieldset>
		<legend>Note</legend>This demo application <strong>deletes all previously uploaded files</strong>.
		Keep in mind that it is a feature of this demo, not of Image Uploader itself. If
		you <strong>do not want to delete uploaded files</strong>, you should modify the
		upload processing page specified by the <strong>Action</strong> parameter.
	</fieldset>
	<p>
		Select language:
		<select id="SelectLanguage" onchange="SelectLanguage_change();">
			<option value="en" selected="selected">[en] - English</option>
			<option value="de">[de] - German</option>
			<option value="fr">[fr] - French</option>
			<option value="it">[it] - Italian</option>
			<option value="no">[no] - Norwegian</option>
			<option value="ru">[ru] - Russian</option>
			<option value="sv">[sv] - Swedish</option>
			<option value="zh">[zh] - Traditional Chinese</option>
			<option value="zh-cn">[zh-cn] - Simplified Chinese</option>
			<option value="nl">[nl] - Dutch</option>
			<option value="ua">[ua] - Ukrainian</option>
		</select>
	</p>

	<script type="text/javascript">
//<![CDATA[
//Create JavaScript object that will embed Image Uploader to the page.
var iu = new ImageUploaderWriter("ImageUploader1", 650, 500);

//For ActiveX control full path to CAB file (including file name) should be specified.
iu.activeXControlCodeBase = "../ImageUploader5.cab";
iu.activeXControlVersion = "5,0,41,0";

//For Java applet only path to directory with JAR files should be specified (without file name).
iu.javaAppletJarFileName = "ImageUploader5.jar";
iu.javaAppletCodeBase = "../";
iu.javaAppletCached = true;
iu.javaAppletVersion = "5.0.41.0";

iu.showNonemptyResponse = "off";

//Configure thumbnail settings.
iu.addParam("UploadThumbnail1FitMode", "Fit");
iu.addParam("UploadThumbnail1Width", "120");
iu.addParam("UploadThumbnail1Height", "120");
iu.addParam("UploadThumbnail1JpegQuality", "60");

//Configure License Keys
iu.addParam("LicenseKey", "71050-49A8A-00000-08302-413E7;72050-49A8A-00000-076AD-199A9");

//Configure URL files are uploaded to.
iu.addParam("Action", "upload.php");

//Configure URL where to redirect after upload.
iu.addParam("RedirectUrl", "gallery.php");

//Configure miscellaneous settings.
iu.addParam("BackgroundColor", "#ffffff");
iu.addParam("ShowDebugWindow", "true");
iu.addParam("AllowRotate", "false");
iu.addParam("BackgroundColor", "#ccccff");
iu.addParam("PaneLayout", "ThreePanes");
iu.addParam("ShowUploadListButtons", "true");
iu.addParam("FolderPaneHeight", "220");

//Localization
//Get the language to apply localization for.
var lang = window.location.search;
if (lang.length > 0 && lang.charAt(0) == "?") {
	lang = lang.substr(1);
}
switch (lang) {
	case "de":
		de_resources.addParams(iu);
		break;
	case "fr":
		fr_resources.addParams(iu);
		break;
	case "it":
		it_resources.addParams(iu);
		break;	
	case "no":
		no_resources.addParams(iu);
		break;
	case "ru":
		ru_resources.addParams(iu);
		break;
	case "sv":
		sv_resources.addParams(iu);
		break;
	case "zh-cn":
		zh_cn_resources.addParams(iu);
		break;
	case "zh":
		zh_resources.addParams(iu);
		break;
	case "nl":
		nl_resources.addParams(iu);
		break;		
	case "ua":
		ua_resources.addParams(iu);
		break;		
	default:
		lang = "en";
		en_resources.addParams(iu);
		break;
}

var SelectLanguage = document.getElementById("SelectLanguage");
for (var i = 0; i < SelectLanguage.options.length; i++) {
	if (SelectLanguage.options[i].value == lang) {
		SelectLanguage.selectedIndex = i;
		break;
	}
}

//Tell Image Uploader writer object to generate all necessary HTML code to embed 
//Image Uploader to the page.
iu.writeHtml();
//]]>
	</script>

</body>
</html>
<!--END-->